package com.patzn.lims.equip.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.equip.entity.LmsEquipScrapDetail;
import com.patzn.lims.equip.vo.LmsEquipScrapDetailVO;

import java.util.List;

/**
 * <p>
 * 仪器报废详情信息表 服务类
 * </p>
 *
 * @author patzn
 * @since 2017-11-30
 */
public interface ILmsEquipScrapDetailService extends IBaseService<LmsEquipScrapDetail> {

    Page<LmsEquipScrapDetailVO> pageVO(Page<LmsEquipScrapDetailVO> page, LmsEquipScrapDetailVO lmsEquipScrapDetailVO);

    List<LmsEquipScrapDetailVO> listVO(LmsEquipScrapDetailVO lmsEquipScrapDetailVO);

    LmsEquipScrapDetailVO getVOById(Long id);

    boolean bathScrapInfo(Long[] ids, LmsEquipScrapDetail lmsEquipScrapDetail);

    List<LmsEquipScrapDetail>vagueInput(String name, String value);

    boolean existByIds(Long[] ids);

    boolean saves(Long[] ids, LmsEquipScrapDetail lmsEquipScrapDetail);

    LmsEquipScrapDetail  copyInput(Long id);
}
